rpc.nfsd(8)

NOM
rpc.nfsd - Processus serveur NFS

SYNOPSIS
/usr/sbin/rpc.nfsd [options] nombre_processus

DESCRIPTION
Le programme rpc.nfsd implémente la partie utilisateur du service NFS. Les principales actions sont prises en charge par le module noyau nfsd. La partie utilisateur se contente de préciser quels sont les sockets que le service noyau doit écouter, quelles versions de NFS il doit prendre en charge et combien de processus légers (threads) il doit lancer.

Le démon rpc.mountd fournit un service auxiliaire nécessaire pour le traitement des requêtes de montage ou démontage des clients NFS.

OPTIONS

-d, --debug
    Activer la journalisation des messages utiles au débogage.

-H, --host nom_hôte
    Indiquer un nom d'hôte spécifique (ou son adresse) où les requêtes NFS seront acceptées. Par défaut, rpc.nfsd accepte les requêtes NFS sur toutes les adresses réseau connues. Il faut noter que lockd (qui effectue le verrouillage des fichiers pour NFS) peut continuer à accepter les requêtes NFS sur toutes les adresses réseau connues. Cela peut changer dans de futures versions du noyau Linux. Cette option peut être utilisée plusieurs fois pour écouter plus d’une interface.

-p, --port port
    Indiquer un port d'écoute spécifique pour les requêtes NFS. Par défaut, rpc.nfsd écoute le port 2049.

-d, --rdma
    Indiquer que les requêtes NFS sur le port standard RDMA (« nfsrdma », port 20049) seront honorées.

--rdma=port
    Écouter les requêtes RDMA sur un port alternatif, pouvant être un nombre ou un nom listé dans /etc/services.

-N, --no-nfs-version version
    This option can be used to request that rpc.nfsd does not offer certain versions of NFS. The current version of rpc.nfsd can support major NFS versions 3,4 and the minor versions 4.0, 4.1 and 4.2.

-s, --syslog
    Par défaut, rpc.nfsd envoie les messages d'erreur (et de débogage si l'option adéquate est activée) vers la sortie d'erreur standard. Cette option ordonne à rpc.nfsd d'enregistrer ces messages dans le journal système (syslog). Notez que les erreurs rencontrées pendant le traitement des options seront quand même envoyées vers la sortie d'erreur standard.

-t, --tcp
    Indiquer au serveur NFS du noyau d’ouvrir et d’écouter sur un socket TCP. C’est le comportement par défaut.

-T, --no-tcp
    Indiquer au serveur NFS du noyau de ne pas ouvrir et écouter sur un socket TCP.

-u, --udp
    Indiquer au serveur NFS du noyau d’ouvrir et d’écouter sur un socket UDP.

-U, --no-udp
    Indiquer au serveur NFS du noyau de ne pas ouvrir et écouter sur un socket UDP. C’est le comportement par défaut.

-V, --nfs-version version
    This option can be used to request that rpc.nfsd offer certain versions of NFS. The current version of rpc.nfsd can support major NFS versions 3,4 and the minor versions 4.0, 4.1 and 4.2.

-L, --lease-time secondes
    Régler la durée de contrat (lease-time) utilisée pour NFSv4. Cela correspond à quelle fréquence les clients doivent confirmer leur état par rapport au serveur. L’intervalle autorisé est de 10 à 3600 secondes.

-G, --grace-time secondes
    Régler le délai de grâce utilisé pour NFSv4 et NLM (pour NFSv2 et NFSv3). Les requêtes d’ouverture de nouveau fichier (NFSv4) et les verrous de nouveau fichier (NLM) ne seront autorisés qu’après l’expiration du délai pour permettre aux clients de récupérer leur état.

nombre_processus
    Préciser le nombre de processus légers (« threads ») du serveur NFS. Par défaut, huit processus sont lancés. Toutefois, pour atteindre des performances optimales, plusieurs processus devraient être utilisés. Le chiffre réel dépend du nombre de clients et de la charge de travail engendrée par les clients NFS. Un bon point de départ est 8 processus. Le programme nfsstat(8) permet d'observer les effets d'une modification de ce chiffre.

Notez bien que si le serveur NFS est déjà lancé, les options qui définissent l'hôte, le port et le protocole seront ignorées. La seule option prise en compte sera le nombre de processus indiqué et le nombre total de processus nfsd actifs sera augmenté ou diminué afin de s'aligner sur ce nombre. En particulier, rpc.nfsd 0 arrêtera tous les processus légers et fermera donc toutes les connexions actives.

FICHIER DE CONFIGURATION
La plupart des options pouvant être définies sur la ligne de commande peuvent l’être par des valeurs dans la section [nfsd] du fichier de configuration /etc/nfs.conf. Les valeurs reconnues comprennent :

threads
    Le nombre de processus légers à démarrer.

host
    Un nom d’hôte ou une liste de noms d’hôte séparés par des virgules que rpc.nfsd écoutera. L’utilisation de l’option --host remplace tous les noms d’hôte listés dans celle-ci.

grace-time
    Le délai de grâce pour NFSv4 et NLM en secondes.

lease-time
    La durée de contrat pour NFSv4 en secondes.

port
    Réglage du port pour la connexion TCP/UDP.

rdma
    Activer le port RDMA (avec « on » ou « yes », etc.) pour le port standard (« nfsrdma », port 20049).

rdma-port
    Définir un port RDMA alternatif.

UDP Activer (avec « on » ou « yes », etc.) ou désactiver (« off », « no ») la prise en charge d’UDP.

TCP Activer ou désactiver la prise en charge de TCP.

vers3

vers4
    Activer ou désactiver une version majeure de NFS. Les version 3 et 4 sont normalement activées par défaut.

vers4.1

vers4.2
    Régler celles-ci à « off » ou une autre valeur similaire désactivera les versions intermédiaires choisies. Régler à « on » les activera. Les valeurs par défaut sont déterminées par le noyau et, habituellement, les versions intermédiaires sont par défaut activées une fois que l’implémentation est suffisamment achevée.

NOTES
Si le programme a été construit avec la prise en charge de TI-RPC, il activera toutes les combinaisons de protocole et famille d'adresses qui sont marquées comme visibles dans la base de données de netconfig.

VOIR AUSSI
nfsd(7), rpc.mountd(8), exports(5), exportfs(8), nfs.conf(5), rpc.rquotad(8), nfsstat(8), netconfig(5).

AUTEUR
Olaf Kirch, Bill Hawes, H. J. Lu, G. Allan Morris III, et un paquet d'autres.

TRADUCTION
La traduction française de cette page de manuel a été créée par Valéry Perrin <valery.perrin.debian@free.fr>, Sylvain Cherrier <sylvain.cherrier@free.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Dominique Simen <dominiquesimen@hotmail.com>, Nicolas Sauzède <nsauzede@free.fr>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Denis Mugnier <myou72@orange.fr>, Cédric Boutillier <cedric.boutillier@gmail.com> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.